
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>2016.3.12 JAVA中StringBuffer类常用方法详解（转） / 憋错料</title>

    <meta name="description" content="2016.3.12 JAVA中StringBuffer类常用方法详解（转） String是不变类,用String修改字符串会新建一个String对象,如果频繁的修改,将会产生很多的String对象,开销很大.因此java提供了一个StringBuffer类,这个类在修改字符串方面的效率比String高了很多. 在java中有3个类来负责字符的操作. 1.Character 是进行单个字符操作的, 2.String 对一串字符进行操作.不可变类. 3.StringBuffer 也是对一串字符进行操作,但是可变类. 1 public class UsingStringBuf">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">2016.3.12 JAVA中StringBuffer类常用方法详解（转）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>String是不变类，用String修改字符串会新建一个String对象，如果频繁的修改，将会产生很多的String对象，开销很大.因此java提供了一个StringBuffer类，这个类在修改字符串方面的效率比String高了很多。</p>
<p>在java中有3个类来负责字符的操作。</p>
<p>1.Character 是进行单个字符操作的，</p>
<p>2.String 对一串字符进行操作。不可变类。</p>
<p>3.StringBuffer 也是对一串字符进行操作，但是可变类。</p>
<pre> 1     public class UsingStringBuffer {
 2         /**
 3          * 查找匹配字符串
 4          */
 5         public static void testFindStr() {
 6             StringBuffer sb = new StringBuffer();
 7             sb.append("This is a StringBuffer");
 8             // 返回子字符串在字符串中最先出现的位置，如果不存在，返回负数
 9             System.out.println("sb.indexOf(\"is\")=" + sb.indexOf("is"));
10             // 给indexOf方法设置参数，指定匹配的起始位置
11             System.out.println("sb.indexOf(\"is\")=" + sb.indexOf("is", 3));
12             // 返回子字符串在字符串中最后出现的位置，如果不存在，返回负数
13             System.out.println("sb.lastIndexOf(\"is\") = " + sb.lastIndexOf("is"));
14             // 给lastIndexOf方法设置参数，指定匹配的结束位置
15             System.out.println("sb.lastIndexOf(\"is\", 1) = "
16                     + sb.lastIndexOf("is", 1));
17         }
18
19         /**
20          * 截取字符串
21          */
22         public static void testSubStr() {
23             StringBuffer sb = new StringBuffer();
24             sb.append("This is a StringBuffer");
25             // 默认的终止位置为字符串的末尾
26             System.out.print("sb.substring(4)=" + sb.substring(4));
27             // substring方法截取字符串，可以指定截取的起始位置和终止位置
28             System.out.print("sb.substring(4,9)=" + sb.substring(4, 9));
29         }
30
31         /**
32          * 获取字符串中某个位置的字符
33          */
34         public static void testCharAtStr() {
35             StringBuffer sb = new StringBuffer("This is a StringBuffer");
36             System.out.println(sb.charAt(sb.length() - 1));
37         }
38
39         /**
40          * 添加各种类型的数据到字符串的尾部
41          */
42         public static void testAppend() {
43             StringBuffer sb = new StringBuffer("This is a StringBuffer!");
44             sb.append(1.23f);
45             System.out.println(sb.toString());
46         }
47
48         /**
49          * 删除字符串中的数据
50          */
51         public static void testDelete() {
52             StringBuffer sb = new StringBuffer("This is a StringBuffer!");
53             sb.delete(0, 5);
54             sb.deleteCharAt(sb.length() - 1);
55             System.out.println(sb.toString());
56         }
57
58         /**
59          * 向字符串中插入各种类型的数据
60          */
61         public static void testInsert() {
62             StringBuffer sb = new StringBuffer("This is a StringBuffer!");
63             // 能够在指定位置插入字符、字符数组、字符串以及各种数字和布尔值
64             sb.insert(2, ‘W‘);
65             sb.insert(3, new char[] { ‘A‘, ‘B‘, ‘C‘ });
66             sb.insert(8, "abc");
67             sb.insert(2, 3);
68             sb.insert(3, 2.3f);
69             sb.insert(6, 3.75d);
70             sb.insert(5, 9843L);
71             sb.insert(2, true);
72             System.out.println("testInsert: " + sb.toString());
73         }
74
75         /**
76          * 替换字符串中的某些字符
77          */
78         public static void testReplace() {
79             StringBuffer sb = new StringBuffer("This is a StringBuffer!");
80             // 将字符串中某段字符替换成另一个字符串
81             sb.replace(10, sb.length(), "Integer");
82             System.out.println("testReplace: " + sb.toString());
83         }
84
85         /**
86          * 将字符串倒序
87          */
88         public static void reverseStr() {
89             StringBuffer sb = new StringBuffer("This is a StringBuffer!");
90             System.out.println(sb.reverse()); // reverse方法将字符串倒序
91         }
92     }  </pre>
<p>小结： <br />
StringBuffer不是不变类，在修改字符串内容时，不会创建新的对象，因此，它比String类更适合修改字符串。 <br />
StringBuffer类没有提供同String一样的toCharArray方法 <br />
StringBuffer类的replace方法同String类的replace方法不同,它的replace方法有三个参数,第一个参数指定被替换子串的起始位置，第二个参数指定被替换子串的终止位置，第三个参数指定新子串</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 19:41:31 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>2016.3.12 JAVA中StringBuffer类常用方法详解（转）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nR85X0.html" rel="bookmark">JAVA中StringBuffer类常用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				String是不变类,用String修改字符串会新建一个String对象,如果频繁的修改,将会产生很多的String对象,开销很大.因此java提供了一个StringBuffer类,这个类在修改字符串方面的效率比String高了很多. 在java中有3个类来负责字符的操作. 1.Character 是进行单个字符操作的, 2.String 对一串字符进行操作.不可变类. 3.StringBuffer 也是对一串字符进行操作,但是可变类. [java] view plain copy public			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lW5pEM.html" rel="bookmark">java中Object类 源代码详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.cnblogs.com/langtianya/archive/2013/01/31/2886572.html, 作者:浪天涯 package java.lang; public class Object { /* 一个本地方法,具体是用C(C++)在DLL中实现的,然后通过JNI调用.*/ private static native void registerNatives(); /* 对象初始化时自动调用此方法*/ static { registerNatives();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pOGBR3.html" rel="bookmark">Java中Integer类的详解与用途</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java.lang 类 Integer java.lang.Object java.lang.Number java.lang.Integer 所有已实现的接口: Serializable, Comparable&lt;Integer&gt; public final class Integer extends Number implements Comparable&lt;Integer&gt; Integer 类在对象中包装了一个基本类型 int 的值.Integer 类型的对象包含一个 int 类型			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MznDgJM.html" rel="bookmark">Java中StringBuffer类append方法的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java中StringBuffer类append方法的使用 append方法的作用是在一个StringBuffer对象后面追加字符串. 例如StringBuffer s = new StringBuffer(&quot;Hello&quot;);s.append(&quot;World&quot;);则s的内容是HelloWorld			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02bPeD0.html" rel="bookmark">Java中的main&lpar;&rpar;方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Java中,main()方法是Java应用程序的入口方法,也就是说,程序在运行的时候,第一个执行的方法就是main()方法,这个方法和其他的方法有很大的不同,比如方法的名字必须是main,方法必须是public static void 类型的,方法必须接收一个字符串数组的参数等等. 在看Java中的main()方法之前,先看一个最简单的Java应用程序HelloWorld,我将通过这个例子说明Java类中main()方法的奥秘,程序的代码如下: 1 /** 2 * Java中的main()方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyjzQj0.html" rel="bookmark">java中的io系统详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java中的io系统详解 分类: JAVA开发应用 笔记(读书.心得)2009-03-04 11:26 46118人阅读 评论(37) 收藏 举报 javaiostreamconstructorstringbyte 相关读书笔记.心得文章列表 Java 流在处理上分为字符流和字节流.字符流处理的单元为 2 个字节的 Unicode 字符,分别操作字符.字符数组或字符串,而字节流处理单元为 1 个字节,操作字节和字节数组. Java 内用 Unicode 编码存储字符,字符流处理类负责将外部的其他			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZGo2G4.html" rel="bookmark">java中System&period;getProperty&lpar;&rpar;方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java中System.getProperty()方法详解,如下: System.out.println(&quot;java版本号:&quot; + System.getProperty(&quot;java.version&quot;)); // java版本号 System.out.println(&quot;Java提供商名称:&quot; + System.getProperty(&quot;java.vendor&quot;)); // Java提供商名称 System.out.println			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mm8rvp4.html" rel="bookmark">Java I&sol;O &colon; Java中的进制详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:李强强 上一篇,泥瓦匠基础地讲了下Java I/O : Bit Operation 位运算.这一讲,泥瓦匠带你走进Java中的进制详解. 一.引子 在Java世界里,99%的工作都是处理这高层.那么二进制,字节码这些会在哪里用到呢? 自问自答:在跨平台的时候,就凸显神功了.比如说文件读写,数据通信,还有Java编译后的字节码文件.下面会有个数据通信的例子哦. Java对对象实现Serializablle接口,就可以将其转化为一系列字节,而在通信中,不必要关系数据如何在不同机器表示和字节的顺			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6eKQX4.html" rel="bookmark">２５．Unity3D手机中Input类touch详解-Unity触屏事件解析到底&lpar;Twisted Fate&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先贴一下Unity支持的模型文件类型,以前没有收集过. Unity支持两种类型的3D文件格式: 1.  通用的&quot;出口型&quot;3D文件 如.fbx..dae..3ds..dxf..obj等文件格式. 2.  3D软件专用的3D文件格式 如Max, Maya, Blender,Cinema4D, Modo, Lightwave &amp; Cheetah3D 等软件所支持的格式,如.MAX, .MB, .MA等等. Unity3D手机中Input类touch详解: 1.Input.touch			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmgLK3.html" rel="bookmark" class="title">第七周总结</a>
					<div>
						一周的时间一晃就过去了,这周主要学习了两章的内容,java网络编程和XML,java网络编程是实现了使用代码进行计算机之间的连接,当然这是在同一个局域网的条件下,这只是我们学习得内容,更多的内容需要更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3q6a54.html" rel="bookmark" class="title">【Linux】vim的配置</a>
					<div>
						1.配置文件.vimrc 在目录/etc/下面,有个名为vimrc的文件,这是系统中公共的vim配置文件,对所有用户都有效. 而在每个用户的主目录下,都可以建立私有的配置文件,命名为:&quot;.v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68Z5y3.html" rel="bookmark" class="title">循序渐进DB2&period;DBA系统管理、运维与应用案例pdf</a>
					<div>
						下载地址:网盘下载 内容简介 DB2数据库是IBM公司关系型数据库核心产品,在国内以及全球有着广泛的应用.针对DB2初学者,&lt;循序渐进DB2:DBA系统管理.运维与应用案例&gt;循序渐进地把D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYGxb3.html" rel="bookmark" class="title">一点思考</a>
					<div>
						今天信号与系统课上,老师的几句话算是让我醍醐灌顶. 她问,你们不是已经学过模电了吗,有谁能说说学完模电能做些什么,学完放大电路之后又能做些什么,你们学过傅里叶变换,拉普拉斯变换,他们又能帮我们做些什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDPleM.html" rel="bookmark" class="title">&lbrack;TC SRM 697 div1 lev1&rsqb; DivisibleSetDiv1</a>
					<div>
						Tutorial:https://apps.topcoder.com/wiki/display/tc/SRM+697#DivisibleSetDiv1 Note:证明过程值得一看. 主要内容:寻找[x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdX8aM.html" rel="bookmark" class="title">【BZOJ&rsqb;】1385 &lbrack;Baltic2000&rsqb;Division expression</a>
					<div>
						[算法]欧几里德算法 [题解]紫书原题 #include&lt;cstdio&gt; #include&lt;algorithm&gt; using namespace std; const int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8mon0.html" rel="bookmark" class="title">MyBatis出错Result Maps collection does not contain value for java&period;lang&period;Integer</a>
					<div>
						Servlet.service() for servlet [SpringMVC] in context with path [/eyou] threw exception [Request proc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mOQDM.html" rel="bookmark" class="title">《JAVASCRIPT高级程序设计》原生拖放和媒体元素</a>
					<div>
						一.原生拖放 最早在网页中引入javascript拖放功能的是IE4,当时,网页中只有两种对象可以拖放:图像和某些文本.而现在,几乎网页中的任何元素都可以拖放以及作为放置目标.下面介绍一些与拖放相关的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLD7zEM.html" rel="bookmark" class="title">判断闰年</a>
					<div>
						namespace ConsoleApplication8{ class Program { static void Main(string[] args) { Console.Write(&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NAgY3.html" rel="bookmark" class="title">关于&amp;lt&semi;img&amp;gt&semi;导入图片下面有空白的问题解决方案</a>
					<div>
						上图代码,在网页中导入图片后下面会有一小段空白.在谷歌浏览器调试的时候,会发现外面的包裹层&lt;a&gt;元素的height要比&lt;img&gt;的height多了3个像素(此时已经设置了a{d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5YPn3.html" rel="bookmark" class="title">Mac下tomcat的安装与配置</a>
					<div>
						1.到 apache官方主页 下载 Mac 版本的完整 tar.gz文件包.解压拷贝到 /Library目录下,并命名为Tomcat,其他目录也可. 2.修改目录权限 到终端输入 sudo chmod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Zr5wq3.html" rel="bookmark" class="title">第一部分</a>
					<div>
						#java 基础 ##java运行机制和jvm java 不是纯粹的编译语言也不是纯粹的解释语言 编译 生吃.class文件 不是特定平台的机械码 平台无关的字节码 解释 jvm负责执行字节码  jv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrEw74.html" rel="bookmark" class="title">Atitti 图像处理 图像混合 图像叠加&amp;&num;160&semi;blend 原理与实现</a>
					<div>
						Atitti 图像处理 图像混合 图像叠加 blend 原理与实现 混合模式 编辑 本词条缺少信息栏,补充相关内容使词条更完整,还能快速升级,赶紧来编辑吧! 混合模式是图像处理技术中的一个技术名词,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzExq24.html" rel="bookmark" class="title">Summary of《认识微服务&mdash;&mdash;一颗银弹》</a>
					<div>
						(P.s. 本文系摘要,点我阅读原文.) --从&lt;没有银弹&gt;提出的软件工程本质性工作的四大难题讨论微服务的价值 软件工程的本质性与附属性工作 所有的软件创作都包括本质性和附属性工作:前者是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41DZok3.html" rel="bookmark" class="title">起点联盟模式app系统开发</a>
					<div>
						起点联盟模式app系统开发(微or电 158.1500.1390 小凡团队)起点联盟系统开发,起点联盟系统模式开发,起点联盟平台开发系统,起点联盟APP开发,起点联盟系统APP开发. 起点联盟是深圳前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQp1g0.html" rel="bookmark" class="title">apt-get和apt-chche命令整理</a>
					<div>
						apt-get install package 安装包 apt-get install package --reinstall 重新安装包 apt-get -f install 强制安装?#&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPl8XM.html" rel="bookmark" class="title">软件工程个人日报 2016&sol;7&sol;5</a>
					<div>
						今天我继续学习了C#WPF编程,并且修复了程序的一些bug. 我增加了验证码图片修改的监听,以前我们使用的是sleep等待验证码的图片返回更新,现在我增加了监听,可以知道验证码图片何时更新了,提高了程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xANYn3.html" rel="bookmark" class="title">mysql insert锁机制【转】</a>
					<div>
						最近再找一些MySQL锁表原因,整理出来一部分sql语句会锁表的,方便查阅,整理的不是很全,都是工作中碰到的,会持续更新 笔者能力有限,如果有不正确的,或者不到位的地方,还请大家指出来,方便你我,方便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXx1n0.html" rel="bookmark" class="title">&lbrack;BZOJ1006&rsqb; &lbrack;HNOI2008&rsqb; 神奇的国度 &lpar;弦图&rpar;</a>
					<div>
						Description K国是一个热衷三角形的国度,连人的交往也只喜欢三角原则.他们认为三角关系:即AB相互认识,BC相互认识,CA相互认识,是简洁高效的.为了巩固三角关系,K国禁止四边关系,五边关系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnXBn3.html" rel="bookmark" class="title">php 批量插入字段</a>
					<div>
						foreach ($_POST as $key =&gt; $value){ $array[] = &quot;add &quot;.$key.&quot; varchar(220),&quot;;  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
